/*
Theme Name: Divi DC Child
Description: Child by DuCLAIR
Version: 1.0.0
Author: DuCLAIR
Author URI: 
Theme URI: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: Divi
*/

/* ========== Custom CSS from Generator ========== */

/* === Stylování rozvrhu by Filip === */

.rozvrh table {
    width: 100%;
    border: none !important;
    border-collapse: collapse;
    table-layout: fixed;
    border-top: 1px solid #222 !important;
    font-family: "DM Sans", sans-serif;
    color: #111;
}

.rozvrh table tr {
    border-bottom: 1px solid #222;
}

.rozvrh table tr:last-child {
    border-bottom: 0;
}

.rozvrh table th,
.rozvrh table td {
    border: 0;
    padding: 0 10px;
    height: 63px;
    vertical-align: middle;
    text-align: center;
    font-size: 18px;
    font-weight: 400;
}

.rozvrh table tr:first-child th,
.rozvrh table tr:first-child td {
    height: 63px;
    font-size: 20px;
    font-weight: 400;
}

.rozvrh.bezzahlavi table tr:first-child th:not(:first-child),
.rozvrh.bezzahlavi table tr:first-child td:not(:first-child) {
    font-size: 18px;
    text-align: left;
}

.rozvrh table th:first-child,
.rozvrh table td:first-child {
    width: 90px;
    padding-left: 0;
    text-align: left;
}

.rozvrh table tr:not(:first-child) th:first-child,
.rozvrh table tr:not(:first-child) td:first-child {
    font-size: 20px;
    font-weight: 400;
}

.rozvrh table tr:not(:first-child) td:not(:first-child),
.rozvrh table tr:not(:first-child) th:not(:first-child) {
    font-size: 18px;
    text-align: left;
}

/* === Ikony u typů souboru by Filip === */

@font-face {
    font-family: 'FontAwesome';
    font-style: normal;
    font-weight: 400;
    font-display: block;
    src: url('//www.zs-ricany.cz/wp-content/themes/Divi/core/admin/fonts/fontawesome/fa-regular-400.eot');
    src: url('//www.zs-ricany.cz/wp-content/themes/Divi/core/admin/fonts/fontawesome/fa-regular-400.eot?#iefix') format('embedded-opentype'),
         url('//www.zs-ricany.cz/wp-content/themes/Divi/core/admin/fonts/fontawesome/fa-regular-400.woff2') format('woff2'),
         url('//www.zs-ricany.cz/wp-content/themes/Divi/core/admin/fonts/fontawesome/fa-regular-400.woff') format('woff'),
         url('//www.zs-ricany.cz/wp-content/themes/Divi/core/admin/fonts/fontawesome/fa-regular-400.ttf') format('truetype'),
         url('//www.zs-ricany.cz/wp-content/themes/Divi/core/admin/fonts/fontawesome/fa-regular-400.svg#fontawesome') format('svg');
}

#main-content a[href$=".pdf"],
#main-content a[href*=".pdf?"],
#main-content a[href$=".doc"],
#main-content a[href$=".docx"],
#main-content a[href$=".xls"],
#main-content a[href$=".xlsx"] {
    display: inline-flex;
    align-items: center;
    text-decoration: underline;
    gap: 7px;
}

#main-content a[href$=".pdf"]:hover,
#main-content a[href*=".pdf?"]:hover,
#main-content a[href$=".doc"]:hover,
#main-content a[href$=".docx"]:hover,
#main-content a[href$=".xls"]:hover,
#main-content a[href$=".xlsx"]:hover {
    text-decoration: none;
}

/* PDF */
#main-content a[href$=".pdf"]::before,
#main-content a[href*=".pdf?"]::before {
    font-family: FontAwesome;
    content: "\f1c1";
    font-size: 1.1em;
    text-decoration: none;
}

/* Word */
#main-content a[href$=".doc"]::before,
#main-content a[href$=".docx"]::before {
    font-family: FontAwesome;
    content: "\f1c2";
    font-size: 1.1em;
    text-decoration: none;
}

/* Excel */
#main-content a[href$=".xls"]::before,
#main-content a[href$=".xlsx"]::before {
    font-family: FontAwesome;
    content: "";
    font-size: 1.1em;
    text-decoration: none;
}

.et_pb_bg_layout_light.et_flex_module .et_pb_text_inner .event-description {
    display: none;
}